<html>
<head>
<title>OGRE: OgreRenderSystemCapabilities.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreRenderSystemCapabilities.h</h1><a href="OgreRenderSystemCapabilities_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2006 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Also see acknowledgements in Readme.html</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">This program is free software; you can redistribute it and/or modify it under</span>
<a name="l00011"></a>00011 <span class="comment">the terms of the GNU Lesser General Public License as published by the Free Software</span>
<a name="l00012"></a>00012 <span class="comment">Foundation; either version 2 of the License, or (at your option) any later</span>
<a name="l00013"></a>00013 <span class="comment">version.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">This program is distributed in the hope that it will be useful, but WITHOUT</span>
<a name="l00016"></a>00016 <span class="comment">ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS</span>
<a name="l00017"></a>00017 <span class="comment">FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">You should have received a copy of the GNU Lesser General Public License along with</span>
<a name="l00020"></a>00020 <span class="comment">this program; if not, write to the Free Software Foundation, Inc., 59 Temple</span>
<a name="l00021"></a>00021 <span class="comment">Place - Suite 330, Boston, MA 02111-1307, USA, or go to</span>
<a name="l00022"></a>00022 <span class="comment">http://www.gnu.org/copyleft/lesser.txt.</span>
<a name="l00023"></a>00023 <span class="comment"></span>
<a name="l00024"></a>00024 <span class="comment">You may alternatively use this source under the terms of a specific version of</span>
<a name="l00025"></a>00025 <span class="comment">the OGRE Unrestricted License provided you have obtained such a license from</span>
<a name="l00026"></a>00026 <span class="comment">Torus Knot Software Ltd.</span>
<a name="l00027"></a>00027 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00028"></a>00028 <span class="comment">*/</span>
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __RenderSystemCapabilities__</span>
<a name="l00030"></a><a class="code" href="OgreRenderSystemCapabilities_8h.html#2c40047465a09c206ef7a9885d1c7e42">00030</a> <span class="preprocessor"></span><span class="preprocessor">#define __RenderSystemCapabilities__ 1</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="comment">// Precompiler options</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include "<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>"</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include "<a class="code" href="OgreString_8h.html">OgreString.h</a>"</span>
<a name="l00035"></a>00035 
<a name="l00036"></a>00036 <span class="keyword">namespace </span>Ogre {
<a name="l00037"></a>00037 
<a name="l00039"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7">00039</a>     <span class="keyword">enum</span> <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7" title="Enum describing the different hardware capabilities we want to check for.">Capabilities</a>
<a name="l00040"></a>00040     {
<a name="l00041"></a>00041         <span class="comment">//RSC_MULTITEXTURE          = 0x00000001,</span>
<a name="l00043"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de736fbedc1dbc7f1a597b593ef26d700a7">00043</a> <span class="comment"></span>        <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de736fbedc1dbc7f1a597b593ef26d700a7" title="Supporta generating mipmaps in hardware.">RSC_AUTOMIPMAP</a>              = 0x00000002,
<a name="l00044"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de744257b4bb6f6662f86b5391315b382da">00044</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de744257b4bb6f6662f86b5391315b382da">RSC_BLENDING</a>                = 0x00000004,
<a name="l00046"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de743b3d4aabf56e02a0ea50cd32dcb42ee">00046</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de743b3d4aabf56e02a0ea50cd32dcb42ee" title="Supports anisotropic texture filtering.">RSC_ANISOTROPY</a>              = 0x00000008,
<a name="l00048"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7b4f91cac8782a94b7628efde67bb3a89">00048</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7b4f91cac8782a94b7628efde67bb3a89" title="Supports fixed-function DOT3 texture blend.">RSC_DOT3</a>                    = 0x00000010,
<a name="l00050"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7a1a05f478179e95212c04d839f8bf925">00050</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7a1a05f478179e95212c04d839f8bf925" title="Supports cube mapping.">RSC_CUBEMAPPING</a>             = 0x00000020,
<a name="l00052"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de797f2e59e77a7a77aab06419ea8ec4545">00052</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de797f2e59e77a7a77aab06419ea8ec4545" title="Supports hardware stencil buffer.">RSC_HWSTENCIL</a>               = 0x00000040,
<a name="l00054"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de723d49e82353f9f12ec907408f64ecc46">00054</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de723d49e82353f9f12ec907408f64ecc46" title="Supports hardware vertex and index buffers.">RSC_VBO</a>                     = 0x00000080,
<a name="l00056"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70036e085f9e885a0f9176c520c47b1b8">00056</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70036e085f9e885a0f9176c520c47b1b8" title="Supports vertex programs (vertex shaders).">RSC_VERTEX_PROGRAM</a>          = 0x00000200,
<a name="l00058"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70fb7675fcb0999b146ddb233f0c8d532">00058</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70fb7675fcb0999b146ddb233f0c8d532" title="Supports fragment programs (pixel shaders).">RSC_FRAGMENT_PROGRAM</a>        = 0x00000400,
<a name="l00060"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de75943ac693051b347fd65ce715fdff2a4">00060</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de75943ac693051b347fd65ce715fdff2a4" title="Supports compressed textures.">RSC_TEXTURE_COMPRESSION</a>     = 0x00000800,
<a name="l00062"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de793340f99ad2b08fcd21b2475f29bf0b0">00062</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de793340f99ad2b08fcd21b2475f29bf0b0" title="Supports compressed textures in the DXT/ST3C formats.">RSC_TEXTURE_COMPRESSION_DXT</a> = 0x00001000,
<a name="l00064"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7cd1d85413909faa36b2172358e1d6e00">00064</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7cd1d85413909faa36b2172358e1d6e00" title="Supports compressed textures in the VTC format.">RSC_TEXTURE_COMPRESSION_VTC</a> = 0x00002000,
<a name="l00066"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7025003688279d889c8866bafb97d2e9d">00066</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7025003688279d889c8866bafb97d2e9d" title="Supports performing a scissor test to exclude areas of the screen.">RSC_SCISSOR_TEST</a>            = 0x00004000,
<a name="l00068"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de700acd7f72ee13db50c83c73893018c22">00068</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de700acd7f72ee13db50c83c73893018c22" title="Supports separate stencil updates for both front and back faces.">RSC_TWO_SIDED_STENCIL</a>       = 0x00008000,
<a name="l00070"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70ad2d2a7c1732fc0cadbc10fe15d7644">00070</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de70ad2d2a7c1732fc0cadbc10fe15d7644" title="Supports wrapping the stencil value at the range extremeties.">RSC_STENCIL_WRAP</a>            = 0x00010000,
<a name="l00072"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de76754fd60041b30aa89297451995d12fa">00072</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de76754fd60041b30aa89297451995d12fa" title="Supports hardware occlusion queries.">RSC_HWOCCLUSION</a>             = 0x00020000,
<a name="l00074"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de772fee516fc6f23892db204f63a3b4ce5">00074</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de772fee516fc6f23892db204f63a3b4ce5" title="Supports user clipping planes.">RSC_USER_CLIP_PLANES</a>        = 0x00040000,
<a name="l00076"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de72de4b26152004c45bf22ac3c06c20d46">00076</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de72de4b26152004c45bf22ac3c06c20d46" title="Supports the VET_UBYTE4 vertex element type.">RSC_VERTEX_FORMAT_UBYTE4</a>    = 0x00080000,
<a name="l00078"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de786b8fb59223a3d16e1c7556385c87e58">00078</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de786b8fb59223a3d16e1c7556385c87e58" title="Supports infinite far plane projection.">RSC_INFINITE_FAR_PLANE</a>      = 0x00100000,
<a name="l00080"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7640e063db30008a88378659bc5d0ed70">00080</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7640e063db30008a88378659bc5d0ed70" title="Supports hardware render-to-texture (bigger than framebuffer).">RSC_HWRENDER_TO_TEXTURE</a>     = 0x00200000,
<a name="l00082"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7330f702e041e05229fbeab6237204ffe">00082</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7330f702e041e05229fbeab6237204ffe" title="Supports float textures and render targets.">RSC_TEXTURE_FLOAT</a>           = 0x00400000,
<a name="l00084"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7d12d6aa304455f99d23426ba8fa3f3c4">00084</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7d12d6aa304455f99d23426ba8fa3f3c4" title="Supports non-power of two textures.">RSC_NON_POWER_OF_2_TEXTURES</a> = 0x00800000,
<a name="l00086"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f367d0e24c5f16cccd3d0dc06da7b80b">00086</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f367d0e24c5f16cccd3d0dc06da7b80b" title="Supports 3d (volume) textures.">RSC_TEXTURE_3D</a>              = 0x01000000,
<a name="l00088"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de778d2501c1d7678ca5e0006450e8aa608">00088</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de778d2501c1d7678ca5e0006450e8aa608" title="Supports basic point sprite rendering.">RSC_POINT_SPRITES</a>           = 0x02000000,
<a name="l00090"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f887fac0adaa3e2f13531b871c0479ba">00090</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7f887fac0adaa3e2f13531b871c0479ba" title="Supports extra point parameters (minsize, maxsize, attenuation).">RSC_POINT_EXTENDED_PARAMETERS</a> = 0x04000000,
<a name="l00092"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de79b3ec17b20494afb3718d54f77f9db2e">00092</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de79b3ec17b20494afb3718d54f77f9db2e" title="Supports vertex texture fetch.">RSC_VERTEX_TEXTURE_FETCH</a> = 0x08000000, 
<a name="l00094"></a><a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7059362950c064bfe870e5fe60b56a3ca">00094</a>         <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7059362950c064bfe870e5fe60b56a3ca" title="Supports mipmap LOD biasing.">RSC_MIPMAP_LOD_BIAS</a> = 0x10000000 
<a name="l00095"></a>00095 
<a name="l00096"></a>00096     };
<a name="l00097"></a>00097 
<a name="l00103"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html">00103</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> 
<a name="l00104"></a>00104     {
<a name="l00105"></a>00105         <span class="keyword">private</span>:
<a name="l00107"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#64e1006759ef01acc90408c6670ef157">00107</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mNumWorldMatrices;
<a name="l00109"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#43c9db6bfd307805cf5cc4e2f0799547">00109</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mNumTextureUnits;
<a name="l00111"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#449e2125d88a4ae151f0744a17447880">00111</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mStencilBufferBitDepth;
<a name="l00113"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#bbe27f5059909ee7a77103b3b43d5a3b">00113</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mNumVertexBlendMatrices;
<a name="l00115"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#146a25f83a98d4cc52545bb4dec5955f">00115</a>             <span class="keywordtype">int</span> mCapabilities;
<a name="l00117"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#36b2b74903d8a3369d842091d587624f">00117</a>             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mMaxVertexProgramVersion;
<a name="l00119"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#81f9b26137179366cc22c6b0d7ea9d07">00119</a>             <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> mMaxFragmentProgramVersion;
<a name="l00121"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#c0aa8c9beea605c71338bfcc1c9ccdc9">00121</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mVertexProgramConstantFloatCount;           
<a name="l00123"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#b013482d1a40f06df9bb5cea8d9c1970">00123</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mVertexProgramConstantIntCount;           
<a name="l00125"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#25fd805e6880fe8ac23796c69001eb9c">00125</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mVertexProgramConstantBoolCount;           
<a name="l00127"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#363baa3153104884d2a0ef337ee6ea92">00127</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mFragmentProgramConstantFloatCount;           
<a name="l00129"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#9dbb5c8648d32eb1624309f94205763e">00129</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mFragmentProgramConstantIntCount;           
<a name="l00131"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#27fbb13b542a8e2c7d75e787381d4158">00131</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mFragmentProgramConstantBoolCount;
<a name="l00133"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#aaa314c0131a7eb6492b1532cc0b340c">00133</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mNumMultiRenderTargets;
<a name="l00135"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#1e33646cc9558a12c9389ca376ba94c2">00135</a>             <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> mMaxPointSize;
<a name="l00137"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#445dc7153fee1762d12abed5d7463f33">00137</a>             <span class="keywordtype">bool</span> mNonPOW2TexturesLimited;
<a name="l00139"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#d59df370ee6f1a69dc6f7480e68d803c">00139</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> mNumVertexTextureUnits;
<a name="l00141"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#43a4c6e44984408f87ffb11d46c51052">00141</a>             <span class="keywordtype">bool</span> mVertexTextureUnitsShared;
<a name="l00142"></a>00142 
<a name="l00143"></a>00143         <span class="keyword">public</span>: 
<a name="l00144"></a>00144             <a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> ();
<a name="l00145"></a>00145             ~<a class="code" href="classOgre_1_1RenderSystemCapabilities.html" title="singleton class for storing the capabilities of the graphics card.">RenderSystemCapabilities</a> ();
<a name="l00146"></a>00146 
<a name="l00147"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#75d8395e0c43f90a1c531962f4c4b43a">00147</a>             <span class="keywordtype">void</span> setNumWorldMatricies(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)
<a name="l00148"></a>00148             {
<a name="l00149"></a>00149                 mNumWorldMatrices = num;
<a name="l00150"></a>00150             }
<a name="l00151"></a>00151 
<a name="l00152"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#30d60525e67ed5f91b6cbd6237bf6d59">00152</a>             <span class="keywordtype">void</span> setNumTextureUnits(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)
<a name="l00153"></a>00153             {
<a name="l00154"></a>00154                 mNumTextureUnits = num;
<a name="l00155"></a>00155             }
<a name="l00156"></a>00156 
<a name="l00157"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#8e94964a9e870f2abae39d60ca481222">00157</a>             <span class="keywordtype">void</span> setStencilBufferBitDepth(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)
<a name="l00158"></a>00158             {
<a name="l00159"></a>00159                 mStencilBufferBitDepth = num;
<a name="l00160"></a>00160             }
<a name="l00161"></a>00161 
<a name="l00162"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#c0c9d7c2da760077f75262a0b2527ef5">00162</a>             <span class="keywordtype">void</span> setNumVertexBlendMatrices(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)
<a name="l00163"></a>00163             {
<a name="l00164"></a>00164                 mNumVertexBlendMatrices = num;
<a name="l00165"></a>00165             }
<a name="l00166"></a>00166 
<a name="l00168"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#e71df2e605b37bc04a8ea19ac783aff8">00168</a>             <span class="keywordtype">void</span> setNumMultiRenderTargets(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> num)
<a name="l00169"></a>00169             {
<a name="l00170"></a>00170                 mNumMultiRenderTargets = num;
<a name="l00171"></a>00171             }
<a name="l00172"></a>00172 
<a name="l00173"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#a9c5f080cb932b729e3eeaf4b88acc04">00173</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getNumWorldMatricies(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00174"></a>00174 <span class="keyword">            </span>{ 
<a name="l00175"></a>00175                 <span class="keywordflow">return</span> mNumWorldMatrices;
<a name="l00176"></a>00176             }
<a name="l00177"></a>00177 
<a name="l00190"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#3b1ffeb8ebc5f169f403cffdf1bccfa2">00190</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getNumTextureUnits(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00191"></a>00191 <span class="keyword">            </span>{
<a name="l00192"></a>00192                 <span class="keywordflow">return</span> mNumTextureUnits;
<a name="l00193"></a>00193             }
<a name="l00194"></a>00194 
<a name="l00201"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#2a891af96902f1ec14c8fefa13334e0c">00201</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getStencilBufferBitDepth(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00202"></a>00202 <span class="keyword">            </span>{
<a name="l00203"></a>00203                 <span class="keywordflow">return</span> mStencilBufferBitDepth;
<a name="l00204"></a>00204             }
<a name="l00205"></a>00205 
<a name="l00208"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#b6a4164a489cb5ec43f69470dad3dd9a">00208</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> numVertexBlendMatrices(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00209"></a>00209 <span class="keyword">            </span>{
<a name="l00210"></a>00210                 <span class="keywordflow">return</span> mNumVertexBlendMatrices;
<a name="l00211"></a>00211             }
<a name="l00212"></a>00212 
<a name="l00214"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#48532bf4bcee69bbb546a77b3a34a6b9">00214</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> numMultiRenderTargets(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00215"></a>00215 <span class="keyword">            </span>{
<a name="l00216"></a>00216                 <span class="keywordflow">return</span> mNumMultiRenderTargets;
<a name="l00217"></a>00217             }
<a name="l00218"></a>00218 
<a name="l00221"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#e4d12b08dc193773222f9938c54d452c">00221</a>             <span class="keywordtype">void</span> setCapability(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7" title="Enum describing the different hardware capabilities we want to check for.">Capabilities</a> c) 
<a name="l00222"></a>00222             { 
<a name="l00223"></a>00223                 mCapabilities |= c;
<a name="l00224"></a>00224             }
<a name="l00225"></a>00225 
<a name="l00228"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#14fd0260f957d3099781f70d544d5c8e">00228</a>             <span class="keywordtype">bool</span> hasCapability(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#3d2965b7f378ebdcfe8a4a6cf74c3de7" title="Enum describing the different hardware capabilities we want to check for.">Capabilities</a> c)<span class="keyword"> const</span>
<a name="l00229"></a>00229 <span class="keyword">            </span>{
<a name="l00230"></a>00230                 <span class="keywordflow">if</span>(mCapabilities &amp; c)
<a name="l00231"></a>00231                 {
<a name="l00232"></a>00232                     <span class="keywordflow">return</span> <span class="keyword">true</span>;
<a name="l00233"></a>00233                 }
<a name="l00234"></a>00234                 <span class="keywordflow">else</span>
<a name="l00235"></a>00235                 {
<a name="l00236"></a>00236                     <span class="keywordflow">return</span> <span class="keyword">false</span>;
<a name="l00237"></a>00237                 }
<a name="l00238"></a>00238             }
<a name="l00240"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#bd902d5a0ea15b91e99d82a9a65adfba">00240</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaxVertexProgramVersion(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00241"></a>00241 <span class="keyword">            </span>{
<a name="l00242"></a>00242                 <span class="keywordflow">return</span> mMaxVertexProgramVersion;
<a name="l00243"></a>00243             }
<a name="l00245"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#0704c54e5941908a45d741b318dc5578">00245</a>             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; getMaxFragmentProgramVersion(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00246"></a>00246 <span class="keyword">            </span>{
<a name="l00247"></a>00247                 <span class="keywordflow">return</span> mMaxFragmentProgramVersion;
<a name="l00248"></a>00248             }
<a name="l00250"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#03a9d1e3524b626b0a2ea8cb921eba3e">00250</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getVertexProgramConstantFloatCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00251"></a>00251 <span class="keyword">            </span>{
<a name="l00252"></a>00252                 <span class="keywordflow">return</span> mVertexProgramConstantFloatCount;           
<a name="l00253"></a>00253             }
<a name="l00255"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#b07b9b287d282cecac36e661f6977e1a">00255</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getVertexProgramConstantIntCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00256"></a>00256 <span class="keyword">            </span>{
<a name="l00257"></a>00257                 <span class="keywordflow">return</span> mVertexProgramConstantIntCount;           
<a name="l00258"></a>00258             }
<a name="l00260"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#8a2ed7cf3bdc06fc004aaf767e557c7e">00260</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getVertexProgramConstantBoolCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00261"></a>00261 <span class="keyword">            </span>{
<a name="l00262"></a>00262                 <span class="keywordflow">return</span> mVertexProgramConstantBoolCount;           
<a name="l00263"></a>00263             }
<a name="l00265"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#b2fdf94ce9d02faafc52fa8ce458297b">00265</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getFragmentProgramConstantFloatCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00266"></a>00266 <span class="keyword">            </span>{
<a name="l00267"></a>00267                 <span class="keywordflow">return</span> mFragmentProgramConstantFloatCount;           
<a name="l00268"></a>00268             }
<a name="l00270"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#cb830e4b3adbb7c007bcfce4b53598d2">00270</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getFragmentProgramConstantIntCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00271"></a>00271 <span class="keyword">            </span>{
<a name="l00272"></a>00272                 <span class="keywordflow">return</span> mFragmentProgramConstantIntCount;           
<a name="l00273"></a>00273             }
<a name="l00275"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#86c7c29d8be145515892fa6d054fa44e">00275</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getFragmentProgramConstantBoolCount(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00276"></a>00276 <span class="keyword">            </span>{
<a name="l00277"></a>00277                 <span class="keywordflow">return</span> mFragmentProgramConstantBoolCount;           
<a name="l00278"></a>00278             }
<a name="l00279"></a>00279 
<a name="l00280"></a>00280 
<a name="l00281"></a>00281 
<a name="l00283"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#d556c02999b08b73d09f5fea90d5828d">00283</a>             <span class="keywordtype">void</span> setMaxVertexProgramVersion(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; ver)
<a name="l00284"></a>00284             {
<a name="l00285"></a>00285                 mMaxVertexProgramVersion = ver;
<a name="l00286"></a>00286             }
<a name="l00288"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#138810e19c14f381364f394f432b9ade">00288</a>             <span class="keywordtype">void</span> setMaxFragmentProgramVersion(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; ver)
<a name="l00289"></a>00289             {
<a name="l00290"></a>00290                 mMaxFragmentProgramVersion = ver;
<a name="l00291"></a>00291             }
<a name="l00293"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#1e7fb39f40db9845caba401dd68b71f0">00293</a>             <span class="keywordtype">void</span> setVertexProgramConstantFloatCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00294"></a>00294             {
<a name="l00295"></a>00295                 mVertexProgramConstantFloatCount = c;           
<a name="l00296"></a>00296             }
<a name="l00298"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#ca154f790d3d3e17ea63eae71c4809ea">00298</a>             <span class="keywordtype">void</span> setVertexProgramConstantIntCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00299"></a>00299             {
<a name="l00300"></a>00300                 mVertexProgramConstantIntCount = c;           
<a name="l00301"></a>00301             }
<a name="l00303"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#5c5748ababf1fed6341974394707af2e">00303</a>             <span class="keywordtype">void</span> setVertexProgramConstantBoolCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00304"></a>00304             {
<a name="l00305"></a>00305                 mVertexProgramConstantBoolCount = c;           
<a name="l00306"></a>00306             }
<a name="l00308"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#d5ebcf7fa91d34bbda4d9020b43e3e33">00308</a>             <span class="keywordtype">void</span> setFragmentProgramConstantFloatCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00309"></a>00309             {
<a name="l00310"></a>00310                 mFragmentProgramConstantFloatCount = c;           
<a name="l00311"></a>00311             }
<a name="l00313"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#bc084fe2dda834b7d6b236b7ebd27c47">00313</a>             <span class="keywordtype">void</span> setFragmentProgramConstantIntCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00314"></a>00314             {
<a name="l00315"></a>00315                 mFragmentProgramConstantIntCount = c;           
<a name="l00316"></a>00316             }
<a name="l00318"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#011eba973fe349f787a621240b23617c">00318</a>             <span class="keywordtype">void</span> setFragmentProgramConstantBoolCount(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> c)
<a name="l00319"></a>00319             {
<a name="l00320"></a>00320                 mFragmentProgramConstantBoolCount = c;           
<a name="l00321"></a>00321             }
<a name="l00323"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#1af2a1dc2f1ca1f269dac3f2086ce61d">00323</a>             <span class="keywordtype">void</span> setMaxPointSize(<a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> s)
<a name="l00324"></a>00324             {
<a name="l00325"></a>00325                 mMaxPointSize = s;
<a name="l00326"></a>00326             }
<a name="l00328"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#6f82c240e62399468bafd8bc3f1eec88">00328</a>             <a class="code" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getMaxPointSize(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00329"></a>00329 <span class="keyword">            </span>{
<a name="l00330"></a>00330                 <span class="keywordflow">return</span> mMaxPointSize;
<a name="l00331"></a>00331             }
<a name="l00333"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#a01343a82a55354a350735ffeb53a237">00333</a>             <span class="keywordtype">void</span> setNonPOW2TexturesLimited(<span class="keywordtype">bool</span> l)
<a name="l00334"></a>00334             {
<a name="l00335"></a>00335                 mNonPOW2TexturesLimited = l;
<a name="l00336"></a>00336             }
<a name="l00345"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#2c744135211afca5f60942980f65d9c3">00345</a>             <span class="keywordtype">bool</span> getNonPOW2TexturesLimited(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00346"></a>00346 <span class="keyword">            </span>{
<a name="l00347"></a>00347                 <span class="keywordflow">return</span> mNonPOW2TexturesLimited;
<a name="l00348"></a>00348             }
<a name="l00349"></a>00349 
<a name="l00351"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#c413b836ff218b338962cfdbfd8f3abd">00351</a>             <span class="keywordtype">void</span> setNumVertexTextureUnits(<a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> n)
<a name="l00352"></a>00352             {
<a name="l00353"></a>00353                 mNumVertexTextureUnits = n;
<a name="l00354"></a>00354             }
<a name="l00356"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#fc245aed1285d3fbbdee743d51c68f8a">00356</a>             <a class="code" href="namespaceOgre.html#f851e71354d841df7138f9877c6f5931">ushort</a> getNumVertexTextureUnits(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00357"></a>00357 <span class="keyword">            </span>{
<a name="l00358"></a>00358                 <span class="keywordflow">return</span> mNumVertexTextureUnits;
<a name="l00359"></a>00359             }
<a name="l00361"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#6d3150e03533c65123b4cdc1abf148cf">00361</a>             <span class="keywordtype">void</span> setVertexTextureUnitsShared(<span class="keywordtype">bool</span> shared)
<a name="l00362"></a>00362             {
<a name="l00363"></a>00363                 mVertexTextureUnitsShared = shared;
<a name="l00364"></a>00364             }
<a name="l00366"></a><a class="code" href="classOgre_1_1RenderSystemCapabilities.html#c7e5afd559a54cc00bd960948b776d57">00366</a>             <span class="keywordtype">bool</span> getVertexTextureUnitsShared(<span class="keywordtype">void</span>)<span class="keyword"> const</span>
<a name="l00367"></a>00367 <span class="keyword">            </span>{
<a name="l00368"></a>00368                 <span class="keywordflow">return</span> mVertexTextureUnitsShared;
<a name="l00369"></a>00369             }
<a name="l00370"></a>00370 
<a name="l00371"></a>00371 
<a name="l00373"></a>00373             <span class="keywordtype">void</span> log(<a class="code" href="classOgre_1_1Log.html" title="Log class for writing debug/log data to files.">Log</a>* pLog);
<a name="l00374"></a>00374 
<a name="l00375"></a>00375 
<a name="l00376"></a>00376 
<a name="l00377"></a>00377 
<a name="l00378"></a>00378     };
<a name="l00379"></a>00379 }
<a name="l00380"></a>00380 
<a name="l00381"></a>00381 <span class="preprocessor">#endif // __RenderSystemCapabilities__</span>
<a name="l00382"></a>00382 <span class="preprocessor"></span>
</pre></div><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:55 2008
</p>
</body>
</html>
